/*******************************************************************
 * Fritz Fun                                                       *
 * Created by Jan-Michael Brummer                                  *
 * All parts are distributed under the terms of GPLv2. See COPYING *
 *******************************************************************/

#ifndef NETWORK_H
#define NETWORK_H

typedef int ( *networkConnect )( void );
typedef int ( *networkDisconnect )( void );

struct sNetworkEvent {
	networkConnect Connect;
	networkDisconnect Disconnect;
};

void AddNetworkEvent( networkConnect pConnect, networkDisconnect pDisconnect );
int InitNetworkMonitor( void );

#endif
