/*******************************************************************
 * Fritz Fun                                                       *
 * Created by Jan-Michael Brummer                                  *
 * All parts are distributed under the terms of GPLv2. See COPYING *
 *******************************************************************/

#ifndef THREAD_H
#define THREAD_H

struct sThread {
	GThread *psThread;
	gchar *pnName;
	unsigned int nStopFlag;
};

void InitThread( struct sThread *psThread, gchar *pnName );
int ThreadIsStopping( struct sThread *psThread );
int ThreadIsRunning( struct sThread *psThread );
int StartThread( struct sThread *psThread, gpointer ( *Handler )( gpointer ), gpointer pParam );
void StopThread( struct sThread *psThread );

#endif
