#ifndef CONNECTION_H
#define CONNECTION_H

struct sCallData {
	eCallType nType;
	int nConnection;
	char *pnPartA;
	char *pnPartB;
	char *pnPartC;
};

/** connection structure */
struct sConnection {
	int nId;
	int nType;
	gchar *pnLocal;
	gchar *pnNumber;
	gchar *pnName;
	GtkWidget *psDialWindow;

	void *pNotifyWindow;
	gint nNotifyTimeout;
};

void connectionAddCall( int nId, int nType, const gchar *pnLocal, const gchar *pnNumber, gchar *pnName );
struct sConnection *connectionFindById( int nId );
struct sConnection *connectionFindByNumber( const gchar *pnNumber );
void connectionAddDialWindow( struct sConnection *psConnection, GtkWidget *psWidget );
void connectionRemove( struct sConnection *psConnection );
void connectionIgnore( struct sConnection *psConnection );

#endif