#ifndef NOTIFICATION_H
#define NOTIFICATION_H

struct sNotification {
	void *( *ShowNotification )( struct sConnection *psConnection, eCallType nType, struct sPerson *psPerson, gchar *pnNumber, gchar *pnLocal );
	void ( *UpdateNotification )( void *psPopup, eCallType nType, gchar *pnName, gchar *pnStreet, gchar *pnCity );
	void ( *CloseNotification )( gpointer pWindow );
};

void acceptClicked( GtkWidget *psWidget, gpointer pData );
void denyClicked( GtkWidget *psWidget, gpointer pData );

void *showNotification( struct sConnection *psConnection, eCallType nType, struct sPerson *psPerson, gchar *pnNumber, gchar *pnLocal );
void updateNotification( void *psPopup, eCallType nType, gchar *pnName, gchar *pnStreet, gchar *pnCity );
gboolean closeNotification( gpointer pData );
int InitNotification( void );

struct sNotification *InitNotificationNotify( void );
struct sNotification *InitNotificationGtk( void );
gboolean notificationNotifyHasPersistance ( void );

#endif
