#ifndef OSDEP_H
#define OSDEP_H
#ifdef G_OS_WIN32
#define OS_OPEN "start"
#define FFGTK_USER_DIR "ffgtk"
#endif

#ifdef G_OS_UNIX
#ifdef __MACOSX__
#define OS_OPEN "open"
#define FFGTK_USER_DIR ".ffgtk"
/* work around for warnings where gtk-mac-integration expects a label to have an accel closure */
/* we simply use an accel label instead of the normal label */
#define gtk_label_new(text) gtk_accel_label_new(text)
#include <osdep/osx/menubar.h>
#else
#define OS_OPEN "xdg-open"
#define FFGTK_USER_DIR ".config/ffgtk"
#endif
#endif

void osExecute( const gchar *pnUri );
void osdep_setup_menubar( GtkBuilder *psBuilder );
#endif
