/*******************************************************************
 * Fritz Fun                                                       *
 * Created by Jan-Michael Brummer                                  *
 * All parts are distributed under the terms of GPLv2. See COPYING *
 *******************************************************************/

/**
 * \file strings.h
 * \brief Strings function header
 */

#ifndef FFGTK_STRINGS_H
#define FFGTK_STRINGS_H

int findStringReverse( const char *pnString, int nStart, const char *pnFind );
int findString( char *pnString, int nPos, char *pnFind );
char *getSubString( char *pnStr, int nStart, int nLen );

#endif
