/*******************************************************************
 * Fritz Fun                                                       *
 * Created by Jan-Michael Brummer                                  *
 * All parts are distributed under the terms of GPLv2. See COPYING *
 *******************************************************************/

/**
 * \file trayicon.h
 * \brief private header file: the interface exported to menu.c
 */

#ifndef TRAYICON_H
#define TRAYICON_H

void trayIconInit( void );
void trayIconRecreateAppMenu( void );
void trayIconSetIconType( int );
GtkStatusIcon *getTrayIcon( void );
gboolean menuAvailable( void );
GtkWidget *createMenu( gboolean bAddQuitItem );
#endif
